package com.prolog.cs.biz.inbound.flow.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * asn单头查询类
 * @author Xiong
 *
 */
@ApiModel
public class AsnHeadQueryVO implements Serializable{

    private static final long serialVersionUID = 5547748957248347881L;
    
    /**
     * 仓库id
     */
    @ApiModelProperty(value = "仓库id")
    private String warehouseId;
    /**
     * 仓库code
     */
    @ApiModelProperty(value = "仓库code",required = true)
    private String warehouseCode;
    /**
     * 货主id
     */
    @ApiModelProperty(value = "货主id")
    private String mtlOwnerId;
    /**
     * 货主code
     */
    @ApiModelProperty(value = "货主code",required = true)
    private String mtlOwnerNum;
    /**
     * asn单编号
     */
    @ApiModelProperty(value = "asn单编号")
    private String asnAutoBillNum;
    /**
     * 商品id(前端弹窗用助记码查id)
     */
    @ApiModelProperty(value = "商品id")
    private String itemId;
    /**
     * 商品助记码
     */
    @ApiModelProperty(value = "商品助记码")
    private String itemZjm;
    /**
     * 单位id(前端弹窗用助记码查id)
     */
    @ApiModelProperty(value = "单位id")
    private String shipperId;
    /**
     * 单位助记码
     */
    @ApiModelProperty(value = "单位助记码")
    private String shipperZjm;
    /**
     * 单据类型集合
     */
    @ApiModelProperty(value = "单据类型集合")
    private List<String> rcvTypeCodes;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private Date startTime;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getMtlOwnerId() {
        return mtlOwnerId;
    }

    public void setMtlOwnerId(String mtlOwnerId) {
        this.mtlOwnerId = mtlOwnerId;
    }

    public String getMtlOwnerNum() {
        return mtlOwnerNum;
    }

    public void setMtlOwnerNum(String mtlOwnerNum) {
        this.mtlOwnerNum = mtlOwnerNum;
    }

    public String getAsnAutoBillNum() {
        return asnAutoBillNum;
    }

    public void setAsnAutoBillNum(String asnAutoBillNum) {
        this.asnAutoBillNum = asnAutoBillNum;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemZjm() {
        return itemZjm;
    }

    public void setItemZjm(String itemZjm) {
        this.itemZjm = itemZjm;
    }

    public String getShipperId() {
        return shipperId;
    }

    public void setShipperId(String shipperId) {
        this.shipperId = shipperId;
    }

    public String getShipperZjm() {
        return shipperZjm;
    }

    public void setShipperZjm(String shipperZjm) {
        this.shipperZjm = shipperZjm;
    }

    public List<String> getRcvTypeCodes() {
        return rcvTypeCodes;
    }

    public void setRcvTypeCodes(List<String> rcvTypeCodes) {
        this.rcvTypeCodes = rcvTypeCodes;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
